Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel.socket
Class DefaultServerSocketChannelConfig

    java.lang.Object
      org.jboss.netty.channel.DefaultServerChannelConfig
          org.jboss.netty.channel.socket.DefaultServerSocketChannelConfig

All Implemented Interfaces:
  ChannelConfig, ServerSocketChannelConfig

    public class DefaultServerSocketChannelConfig

extends DefaultServerChannelConfig
implements ServerSocketChannelConfig

The default `ServerSocketChannelConfig` implementation.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`DefaultServerSocketChannelConfig(ServerSocket socket)` Creates a new instance.

Method Summary
`int` | `getBacklog()` Gets the backlog value to specify when the channel binds to a local address.
`int` | `getReceiveBufferSize()` Gets the `SO_RCVBUF` option.
`boolean` | `isReuseAddress()` Gets the `SO_REUSEADDR` option.
`void` | `setBacklog(int backlog)` Sets the backlog value to specify when the channel binds to a local address.
`boolean` | `setOption(String key, Object value)` Sets an individual option.
`void` | `setPerformancePreferences(int connectionTime, int latency, int bandwidth)` Sets the performance preferences as specified in `ServerSocket.setPerformancePreferences(int, int, int)`.
`void` | `setReceiveBufferSize(int receiveBufferSize)` Sets the `SO_RCVBUF` option.
`void` | `setReuseAddress(boolean reuseAddress)` Sets the `SO_REUSEADDR` option.

Methods inherited from class org.jboss.netty.channel.DefaultServerChannelConfig
`getBufferFactory, getConnectTimeoutMillis, getPipelineFactory, setBufferFactory, setConnectTimeoutMillis, setOptions, setPipelineFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.netty.channel.ChannelConfig
`getBufferFactory, getConnectTimeoutMillis, getPipelineFactory, setBufferFactory, setConnectTimeoutMillis, setOptions, setPipelineFactory`

Constructor Detail

### DefaultServerSocketChannelConfig

    public DefaultServerSocketChannelConfig(ServerSocket socket)

  Creates a new instance.

Method Detail

### setOption

    public boolean setOption(String key,
                             Object value)

  Description copied from class: `DefaultServerChannelConfig`
  Sets an individual option. You can override this method to support additional configuration parameters.

  Specified by:
    `setOption` in interface `ChannelConfig`
  Overrides:
    `setOption` in class `DefaultServerChannelConfig`
  Returns:
    `true` if and only if the property has been set

### isReuseAddress

    public boolean isReuseAddress()

  Description copied from interface: `ServerSocketChannelConfig`
  Gets the `SO_REUSEADDR` option.

  Specified by:
    `isReuseAddress` in interface `ServerSocketChannelConfig`

### setReuseAddress

    public void setReuseAddress(boolean reuseAddress)

  Description copied from interface: `ServerSocketChannelConfig`
  Sets the `SO_REUSEADDR` option.

  Specified by:
    `setReuseAddress` in interface `ServerSocketChannelConfig`

### getReceiveBufferSize

    public int getReceiveBufferSize()

  Description copied from interface: `ServerSocketChannelConfig`
  Gets the `SO_RCVBUF` option.

  Specified by:
    `getReceiveBufferSize` in interface `ServerSocketChannelConfig`

### setReceiveBufferSize

    public void setReceiveBufferSize(int receiveBufferSize)

  Description copied from interface: `ServerSocketChannelConfig`
  Sets the `SO_RCVBUF` option.

  Specified by:
    `setReceiveBufferSize` in interface `ServerSocketChannelConfig`

### setPerformancePreferences

    public void setPerformancePreferences(int connectionTime,
                                          int latency,
                                          int bandwidth)

  Description copied from interface: `ServerSocketChannelConfig`
  Sets the performance preferences as specified in `ServerSocket.setPerformancePreferences(int, int, int)`.

  Specified by:
    `setPerformancePreferences` in interface `ServerSocketChannelConfig`

### getBacklog

    public int getBacklog()

  Description copied from interface: `ServerSocketChannelConfig`
  Gets the backlog value to specify when the channel binds to a local address.

  Specified by:
    `getBacklog` in interface `ServerSocketChannelConfig`

### setBacklog

    public void setBacklog(int backlog)

  Description copied from interface: `ServerSocketChannelConfig`
  Sets the backlog value to specify when the channel binds to a local address.

  Specified by:
    `setBacklog` in interface `ServerSocketChannelConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.